Piwigo 2.5.1 Release Notes

Downloads Piwigo 2.5.1
Released on April 19th, 2013 (2013-04-19)
Focus bug fixes, new languages
md5sum 7a1cc31fab6d9cfc7519f557bdfbcfb4

Note: the list of major changes is described on Piwigo 2.5.0 release notes. This page only describes what changes between release 2.5.0 and release 2.5.1.

Languages

New languages: Kannada (ಕನ್ನಡ) and Norwegian (nynorsk).

18 languages have been updated to improve wordings or translate strings introduced in Piwigo 2.5: Bulgarian (Български), Finnish (suomi), French (Français), Galician (Galego), Hebrew (עברית), Icelandic (Íslenska), Italian (Italiano), Japanese (日本語), Lithuanian (Lietuvių), Norwegian (bokmål), Dutch (Nederlands), Portuguese (Português), Slovenian (Slovenščina), Serbian (Српски), Thai (ภาษาไทย), Turkish (Türkçe), Vietnamese (Tiếng Việt), Traditional Chinese (中文 繁體).

Bugs Fixed

  • 0002892: [web API] [pwg.images.setInfo] empty tag_ids input parameter produces errors
  • 0002865: [database] [mysqli] support for mysql sockets and port number
  • 0002891: [navigation] unexpected flat parameter in home link on picture page breadcrumb
  • 0002864: [authentication] open_basedir restriction and new password generator
  • 0002887: [user comments] Comments accessible anonymously if comments author is known
  • 0002861: [installation & upgrade] invalid password on manual upgrade
  • 0002867: [template] [LocalFiles Editor] can't create new template-extension
  • 0002881: [web API] [pwg.images.addSimple] undefined constant tags-assumed "tags"

Upgrade

Recommended method: follow the automatic upgrade procedure. If you're currently running Piwigo 2.2+, the Automatic Upgrade will tell you which plugin may be not compatible with Piwigo 2.5 before upgrade.

If you're running Piwigo 2.5.0 you can also download the 2.5.0_to_2.5.1.zip archive that contains all new and modified files. Once you have extracted the files, transfer them onto your web server with a FTP client (like FileZilla) over your Piwigo 2.5.0 installation. No database upgrade is required.

If you are running a version older than 2.5.0 and do not want to use the automatic upgrade, then follow the manual upgrade.

twitter facebook google+ newsletter Donate Piwigo.org © 2002-2014 · Contact